
Figure - Bug #112148
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】通知，点击通知历史记录，会跳转至全屏模式
2022-09-26 17:20 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-26

Priority: Normal Due date: 2022-10-14

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

无

【测试步骤】

1、进入设置 -通知

2、点击通知历史记录

【预期结果】

2、成功进入，且仍然保持双屏模式

【实际结果】

2、能成功进入，但是会跳转至全屏模式

【复现率】

必现

History

#1 - 2022-09-26 18:35 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V3.0_update_20221130

#2 - 2022-09-27 15:30 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V3.0_20221030

#3 - 2022-09-27 15:31 - CDTS_TEST 王成

请王浩云同学跟踪一下

#4 - 2022-09-27 15:34 - 方案组-RD3_CDTS 王浩云

- Due date set to 2022-10-14

#5 - 2022-10-08 17:47 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#6 - 2022-10-09 10:47 - CD AF-陈羽杰
■ Current conclusion

分析中

■ My analysis

由于原生逻辑，点击通知历史是跳转Activity导致全屏显示，需要将原生Activity修改为Fragment；

■ Next action

本地修改验证

#7 - 2022-10-09 13:47 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

本地已验证

■ My analysis

由于原生逻辑，点击通知历史是跳转Activity导致全屏显示，需要将原生Activity修改为Fragment；

■ Submit Url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/154049

#8 - 2022-10-10 11:27 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#9 - 2022-10-10 11:27 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154049 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Notification FullActivity Bug1.Fix Click Notification History Jump to full screenTC-RID: 1201-0201803IssueID: TS-R-BUG-112148Change-Id:

I061b75653a17e6135308bb48bfb5c6a89ba2c242

Files

通知历史记录.png 25.4 KB 2022-09-26 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/154049

